PDFCLEAN(1)

NAME
mupdfclean - pretty print, decompress and garbage collect PDF files

SYNOPSIS
mupdfclean [options] input.pdf [output.pdf] [pages]

DESCRIPTION
mupdfclean pretty prints and rewrites the contents of a PDF file. If no output file is specified, the new file will be written to "out.pdf" in the current directory.

OPTIONS

-p password
    Use the specified password if the file is encrypted.

-g  Garbage collect objects that have no references from other objects. Give the option twice to renumber all objects and compact the cross reference table. Give it three times to merge and reuse duplicate objects.

-d  Decompress streams. This will make the output file larger, but provides easy access for reading and editing the contents with a text editor.

pages
    Comma separated list of ranges to clean.

SEE ALSO
mupdf(1), mupdfdraw(1). mupdfshow(1).

AUTHOR
MuPDF was written by Tor Andersson <tor@ghostscript.com>. MuPDF is Copyright 2006-2010 Artifex Software, Inc.